> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance History

> Fetch your wallet's transaction history



## OpenAPI

````yaml get /wallet/statement
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /wallet/statement:
    get:
      tags:
        - Misc
      summary: Get Balance History
      description: Fetch your wallet's transaction history
      operationId: GetBalanceHistory
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Mon, 18 Mar 2024 10:56:31 GMT
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '6043'
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
            Server:
              content:
                text/plain:
                  schema:
                    type: string
                  example: nginx/1.24.0
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth, mid, altmodeauth, cc-admin-token, x-flw-lang
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"179b-JNO8N2scjftOHasA5X+6hA"
            Strict-Transport-Security:
              content:
                text/plain:
                  schema:
                    type: string
                  example: max-age=31536000; includeSubDomains; preload; always;
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/GetBalanceHistory'
      deprecated: false
components:
  schemas:
    GetBalanceHistory:
      title: GetBalanceHistory
      required:
        - status
        - message
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        data:
          $ref: '#/components/schemas/Data88'
    Data88:
      title: Data88
      required:
        - page_info
        - transactions
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction1'
          description: ''
    PageInfo:
      title: PageInfo
      required:
        - total
        - current_page
        - total_pages
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
      example:
        total: 158
        current_page: 1
        total_pages: 16
    Transaction1:
      title: Transaction1
      required:
        - type
        - amount
        - currency
        - balance_before
        - balance_after
        - reference
        - date
        - remarks
        - sent_currency
        - rate_used
        - sent_amount
        - statement_type
      type: object
      properties:
        type:
          type: string
        amount:
          oneOf:
            - type: integer
              format: int32
            - type: number
        currency:
          type: string
        balance_before:
          type: number
        balance_after:
          type: number
        reference:
          type: string
        date:
          type: string
        remarks:
          type: string
        sent_currency:
          type: string
        rate_used:
          type: integer
          format: int32
        sent_amount:
          oneOf:
            - type: integer
              format: int32
            - type: number
        statement_type:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````